/// <reference types="react" />
import { Select } from 'antd';
import { SelectValue } from 'antd/lib/select';
import { Props as ComponentProps } from './AntdAsyncSelect';
declare type RequiredProps = Required<Pick<ComponentProps, 'promiseFn' | 'disabled' | 'focusIfActive' | 'optionInValue' | 'valueKey' | 'labelKey'>>;
declare type OptionalProps = Partial<Pick<ComponentProps, 'value' | 'onChange' | 'mode'>>;
declare type Props = OptionalProps & RequiredProps & {
    ref?: React.MutableRefObject<Select<SelectValue> | null> | ((instance: Select<SelectValue> | null) => void) | null;
};
declare const useAsyncSelect: ({ promiseFn, ref, mode, value, labelKey, valueKey, onChange, disabled, optionInValue, focusIfActive, }: Props) => {
    open: boolean;
    loading: boolean;
    options: Record<string, string | number>[];
    selectRef: import("react").MutableRefObject<Select<SelectValue> | null>;
    handleBlur: () => void;
    handleFocus: () => false | void;
    handleChange: ((values: SelectValue, selectedOptions: any) => void) | ((value: SelectValue) => void);
};
export default useAsyncSelect;
